import { actionCreator } from '@ema/rx';
import { Util } from '@ema/core';
const SUB_ACTION = 'SUB_ACTION';
export const initialState = { clientId: 'es-nl', authenticated: false, timestamp: Util.getTimeStamp(), config: {} };
export const subAction = actionCreator((payload) => {
    return {
        type: SUB_ACTION,
        payload
    };
});
export default function uaasReducer(state, action) {
    switch (action.type) {
        case SUB_ACTION:
            return Object.assign({}, state, { subKey: action.payload });
        default:
            return state;
    }
}
